# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'adorn/version'

Gem::Specification.new do |s|
  s.name                  = 'adorn'
  s.version               = Adorn::Version::String
  s.authors               = ['rhodee']
  s.email                 = ['info@rhodee.us']
  s.summary               = %q{ Object decoration with caching }
  s.description           = %q{ A take on decorating objects based on the very valued work done by the [Draper](http://github.com/drapergem/draper) gem. }
  s.homepage              = 'https://github.com/rhodee/adorn'
  s.license               = 'MIT'
  s.test_files            = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths         = ['lib']
  s.platform              = Gem::Platform::RUBY
  s.required_ruby_version = '>= 2.0.0'
  s.files = Dir[
      'LICENSE',
      'AUTHORS',
      'README.md',
      'Rakefile',
      'lib/**/*.rb',
      '*.gemspec',
      'test/**/*.rb'
    ]

  s.add_development_dependency 'yard',      '~> 0.8.7'
  s.add_development_dependency 'pry',       '~> 0.9'
  s.add_development_dependency 'bundler',   '~> 1.5'
  s.add_development_dependency 'rake',      '~> 10.1'
  s.add_development_dependency 'rack-test', '~> 0.6.1'
  s.add_development_dependency 'minitest',  '~> 5.2'
  s.add_development_dependency 'reek',      '~> 1.3'
  s.add_development_dependency 'flay',      '~> 2.4'
  s.add_development_dependency 'flog',      '~> 4.2'
end
