require_relative './test_helper'
require 'adorn'
require 'adorn/helpers'

Foo          = Struct.new(:name)
FooPresenter = Struct.new(:object, :context, :options)

Adorned          = Struct.new(:name)
AdornedPresenter = Struct.new(:object, :context, :options)

module FakeHelper
  extend Adorn::Helper
end

class TestAdornHelper < Adorn::TestCase

  def helper
    FakeHelper
  end

  def test_no_presenter_raises_error
    broken_bit = Adorned.new('Bar')

    assert_raises(NameError) { helper.presenting(broken_bit, BarPresenter) {|_|} }
  end

  def test_second_parameter_to_find_presenter
    adorned_bits = Adorned.new('Bar')

    assert true, helper.presenting(adorned_bits, AdornedPresenter) { |a_pres| a_pres.is_a?(AdornedPresenter) }
  end

  def test_string_interpolation_to_find_presenter
    foo_bit = Foo.new('Foo')

    assert true, helper.presenting(foo_bit) { |foo_pres| foo_pres.is_a?(FooPresenter) }
  end


  def test_multiple_objects_to_present
    foo_bit = Foo.new('Foo')
    bar_bit = Adorned.new('Bar')

    assert true, helper.presenting([foo_bit, bar_bit]) {|f,b| f.is_a?(FooPresenter) && b.is_a?(AdornedPresenter) }
  end
end
