require_relative './test_helper'
require 'adorn'
require 'adorn/display_context'

TestContext = Struct.new(:path)

class TestDisplayContext < Adorn::TestCase
  def setup
    @context = TestContext.new('way/to/display/things')
    @proxy   = Adorn::DisplayContext.new(@context)
  end

  def teardown
    @context = nil
    @proxy   = nil
  end

  def test_display_context
    assert true, @proxy.is_a?(Adorn::DisplayContext)
  end

  def test_raises_error_for_unadorned
    assert_raises(NoMethodError) { @proxy.not_a_method }
  end

  def test_fetches_from_unadorned_object
    assert_includes @proxy.instance_variable_get(:@context).methods, :path
  end
end
