require_relative './test_helper'
require 'adorn'
require 'adorn/object_decorator'

ProxyableObject = Struct.new(:value)

class TestObjectDecorator < Adorn::TestCase
  def setup
    @object = ProxyableObject.new(10)
    @proxy  = Adorn::ObjectDecorator.new(@object)
  end

  def teardown
    @object = nil
    @proxy = nil
  end

  def test_display_context
    assert true, @proxy.is_a?(Adorn::ObjectDecorator)
  end

  def test_raises_error_for_unadorned
    assert_raises(NoMethodError) { @proxy.not_a_method }
  end

  def test_fetches_from_unadorned_object
    assert_includes @proxy.instance_variable_get(:@object).methods, :value
  end
end
